POST Index/UpdatePageGroup

Request Information

URI Parameters

None.

Body Parameters

ControlPageList
NameDescriptionTypeAdditional information
Form

string

None.

FormName

string

None.

Action

string

None.

ID

integer

None.

keyValue

string

None.

UserID

string

None.

UserName

string

None.

GroupID

string

None.

PageName

string

None.

GroupName

string

None.

SubjectPage

string

None.

ControlName

string

None.

ControlPage

string

None.

ControlPageN

string

None.

ControlType

string

None.

chkUse

boolean

None.

chkEnable

boolean

None.

chkApprove

boolean

None.

chkSender

boolean

None.

chkReceiver

boolean

None.

chkOfSender

boolean

None.

chkOfReceiver

boolean

None.

chkNewSenderBefore

boolean

None.

chkOldSenderBefore

boolean

None.

chkNewSenderAfter

boolean

None.

chkOldSenderAfter

boolean

None.

chkNewReceiverBefore

boolean

None.

chkOldReceiverBefore

boolean

None.

chkNewReceiverAfter

boolean

None.

chkOldReceiverAfter

boolean

None.

chkView

boolean

None.

chkLoad

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Form": "sample string 1",
  "FormName": "sample string 2",
  "Action": "sample string 3",
  "ID": 4,
  "keyValue": "sample string 5",
  "UserID": "sample string 6",
  "UserName": "sample string 7",
  "GroupID": "sample string 8",
  "PageName": "sample string 9",
  "GroupName": "sample string 10",
  "SubjectPage": "sample string 11",
  "ControlName": "sample string 12",
  "ControlPage": "sample string 13",
  "ControlPageN": "sample string 14",
  "ControlType": "sample string 15",
  "chkUse": true,
  "chkEnable": true,
  "chkApprove": true,
  "chkSender": true,
  "chkReceiver": true,
  "chkOfSender": true,
  "chkOfReceiver": true,
  "chkNewSenderBefore": true,
  "chkOldSenderBefore": true,
  "chkNewSenderAfter": true,
  "chkOldSenderAfter": true,
  "chkNewReceiverBefore": true,
  "chkOldReceiverBefore": true,
  "chkNewReceiverAfter": true,
  "chkOldReceiverAfter": true,
  "chkView": true,
  "chkLoad": true
}

application/xml, text/xml

Sample:
<ControlPageList xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/">
  <Action>sample string 3</Action>
  <ControlName>sample string 12</ControlName>
  <ControlPage>sample string 13</ControlPage>
  <ControlPageN>sample string 14</ControlPageN>
  <ControlType>sample string 15</ControlType>
  <Form>sample string 1</Form>
  <FormName>sample string 2</FormName>
  <GroupID>sample string 8</GroupID>
  <GroupName>sample string 10</GroupName>
  <ID>4</ID>
  <PageName>sample string 9</PageName>
  <SubjectPage>sample string 11</SubjectPage>
  <UserID>sample string 6</UserID>
  <UserName>sample string 7</UserName>
  <chkApprove>true</chkApprove>
  <chkEnable>true</chkEnable>
  <chkLoad>true</chkLoad>
  <chkNewReceiverAfter>true</chkNewReceiverAfter>
  <chkNewReceiverBefore>true</chkNewReceiverBefore>
  <chkNewSenderAfter>true</chkNewSenderAfter>
  <chkNewSenderBefore>true</chkNewSenderBefore>
  <chkOfReceiver>true</chkOfReceiver>
  <chkOfSender>true</chkOfSender>
  <chkOldReceiverAfter>true</chkOldReceiverAfter>
  <chkOldReceiverBefore>true</chkOldReceiverBefore>
  <chkOldSenderAfter>true</chkOldSenderAfter>
  <chkOldSenderBefore>true</chkOldSenderBefore>
  <chkReceiver>true</chkReceiver>
  <chkSender>true</chkSender>
  <chkUse>true</chkUse>
  <chkView>true</chkView>
  <keyValue>sample string 5</keyValue>
</ControlPageList>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.